summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2017-01-27 16:44:07 +0100
committerFabian Groffen <grobian@gentoo.org>2017-01-27 16:44:07 +0100
commit3de405d93a16785a663054eb9514f491c392cc46 (patch)
treee3388aee5154dfc1e68f820c1221812740c9e183
parentapp-portage/repoman: add Prefix keywords (diff)
downloadgentoo-3de405d93a16785a663054eb9514f491c392cc46.tar.gz
gentoo-3de405d93a16785a663054eb9514f491c392cc46.tar.bz2
gentoo-3de405d93a16785a663054eb9514f491c392cc46.zip
app-portage/gentoolkit-dev: fix reponame for Prefix users
Package-Manager: Portage-2.3.2-prefix, Repoman-2.3.1
-rw-r--r--app-portage/gentoolkit-dev/gentoolkit-dev-0.3.0.ebuild5
1 files changed, 5 insertions, 0 deletions
diff --git a/app-portage/gentoolkit-dev/gentoolkit-dev-0.3.0.ebuild b/app-portage/gentoolkit-dev/gentoolkit-dev-0.3.0.ebuild
index 1f67e2a789e..8f1803ce411 100644
--- a/app-portage/gentoolkit-dev/gentoolkit-dev-0.3.0.ebuild
+++ b/app-portage/gentoolkit-dev/gentoolkit-dev-0.3.0.ebuild
@@ -56,6 +56,11 @@ src_prepare() {
-e "s:portage\.db\['/'\]:portage.db['${EPREFIX}/']:g" \
src/ekeyword/ekeyword.py \
|| die "failed to set EPREFIX in ekeyword"
+ # fix repo name
+ sed -i \
+ -e "s:repo='gentoo':repo='gentoo_prefix':g" \
+ src/ekeyword/ekeyword.py \
+ || die "failed to set correct reponame in ekeyword"
fi
}